## cbflib 0.9.7+dfsg1

=== CMakeLists.txt ===

######################################################################
#  CMakeLists.txt - cmake build file for make to create CBFlib       #
#                                                                    #
# Version 0.9.6 06 November 2018                                     #
#                                                                    #
#                          Paul Ellis and                            #
#         Herbert J. Bernstein (yaya@bernstein-plus-sons.com)        #
#                                                                    #
# (C) Copyright 2006 - 2018 Herbert J. Bernstein                     #
#                                                                    #
######################################################################

######################################################################
#                                                                    #
# YOU MAY REDISTRIBUTE THE CBFLIB PACKAGE UNDER THE TERMS OF THE GPL #
#                                                                    #
# ALTERNATIVELY YOU MAY REDISTRIBUTE THE CBFLIB API UNDER THE TERMS  #
# OF THE LGPL                                                        #
#                                                                    #
######################################################################

########################### GPL NOTICES ##############################
#                                                                    #
# This program is free software; you can redistribute it and/or      #
# modify it under the terms of the GNU General Public License as     #
# published by the Free Software Foundation; either version 2 of     #
# (the License, or (at your option) any later version.               #
#                                                                    #
# This program is distributed in the hope that it will be useful,    #
# but WITHOUT ANY WARRANTY; without even the implied warranty of     #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      #
# GNU General Public License for more details.                       #
#                                                                    #
# You should have received a copy of the GNU General Public License  #
# along with this program; if not, write to the Free Software        #
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA           #
# 02111-1307  USA                                                    #
#                                                                    #
######################################################################

######################### LGPL NOTICES ###############################
#                                                                    #
# This library is free software; you can redistribute it and/or      #
# modify it under the terms of the GNU Lesser General Public         #
# License as published by the Free Software Foundation; either       #
# version 2.1 of the License, or (at your option) any later version. #
#                                                                    #
# This library is distributed in the hope that it will be useful,    #
# but WITHOUT ANY WARRANTY; without even the implied warranty of     #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU  #
# Lesser General Public License for more details.                    #
#                                                                    #
# You should have received a copy of the GNU Lesser General Public   #
# License along with this library; if not, write to the Free         #
# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,    #
# MA  02110-1301  USA                                                #
#                                                                    #
######################################################################

######################################################################
#                                                                    #
#                    Stanford University Notices                     #
#  for the CBFlib software package that incorporates SLAC software   #
#                 on which copyright is disclaimed                   #
#                                                                    #
# This software                                                      #
# -------------                                                      #
# The term "this software", as used in these Notices, refers to      #
# those portions of the software package CBFlib that were created by #
# employees of the Stanford Linear Accelerator Center, Stanford      #
# University.                                                        #
#                                                                    #
# Stanford disclaimer of copyright                                   #
# --------------------------------                                   #
# Stanford University, owner of the copyright, hereby disclaims its  #
# copyright and all other rights in this software.  Hence, anyone    #
# may freely use it for any purpose without restriction.             #
#                                                                    #
# Acknowledgement of sponsorship                                     #
# ------------------------------                                     #
# This software was produced by the Stanford Linear Accelerator      #
# Center, Stanford University, under Contract DE-AC03-76SFO0515 with #
# the Department of Energy.                                          #
#                                                                    #
# Government disclaimer of liability                                 #
# ----------------------------------                                 #
# Neither the United States nor the United States Department of      #
# Energy, nor any of their employees, makes any warranty, express or #
# implied, or assumes any legal liability or responsibility for the  #
# accuracy, completeness, or usefulness of any data, apparatus,      #
# product, or process disclosed, or represents that its use would    #
# not infringe privately owned rights.                               #
#                                                                    #
# Stanford disclaimer of liability                                   #
# --------------------------------                                   #
# Stanford University makes no representations or warranties,        #
# express or implied, nor assumes any liability for the use of this  #
# software.                                                          #
#                                                                    #
# Maintenance of notices                                             #
# ----------------------                                             #
# In the interest of clarity regarding the origin and status of this #
# software, this and all the preceding Stanford University notices   #
# are to remain affixed to any copy or derivative of this software   #
# made or distributed by the recipient and are to be affixed to any  #
# copy of software made or distributed by the recipient that         #
# contains a copy or derivative of this software.                    #
#                                                                    #
# Based on SLAC Software Notices, Set 4                              #
# OTT.002a, 2004 FEB 03                                              #
######################################################################



######################################################################
#                               NOTICE                               #
# Creative endeavors depend on the lively exchange of ideas. There   #
# are laws and customs which establish rights and responsibilities   #
# for authors and the users of what authors create.  This notice     #
# is not intended to prevent you from using the software and         #
# documents in this package, but to ensure that there are no         #
# misunderstandings about terms and conditions of such use.          #
#                                                                    #
# Please read the following notice carefully.  If you do not         #
# understand any portion of this notice, please seek appropriate     #
# professional legal advice before making use of the software and    #
# documents included in this software package.  In addition to       #
# whatever other steps you may be obliged to take to respect the     #
# intellectual property rights of the various parties involved, if   #
# you do make use of the software and documents in this package,     #
# please give credit where credit is due by citing this package,     #
# its authors and the URL or other source from which you obtained    #
# it, or equivalent primary references in the literature with the    #
# same authors.                                                      #
#                                                                    #
# Some of the software and documents included within this software   #
# package are the intellectual property of various parties, and      #
# placement in this package does not in any way imply that any       #
# such rights have in any way been waived or diminished.             #
#                                                                    #
# With respect to any software or documents for which a copyright    #
# exists, ALL RIGHTS ARE RESERVED TO THE OWNERS OF SUCH COPYRIGHT.   #
#                                                                    #
# Even though the authors of the various documents and software      #
# found here have made a good faith effort to ensure that the        #
# documents are correct and that the software performs according     #
# to its documentation, and we would greatly appreciate hearing of   #
# any problems you may encounter, the programs and documents any     #
# files created by the programs are provided **AS IS** without any   *
# warranty as to correctness, merchantability or fitness for any     #
# particular or general use.                                         #
#                                                                    #
# THE RESPONSIBILITY FOR ANY ADVERSE CONSEQUENCES FROM THE USE OF    #
# PROGRAMS OR DOCUMENTS OR ANY FILE OR FILES CREATED BY USE OF THE   #
# PROGRAMS OR DOCUMENTS LIES SOLELY WITH THE USERS OF THE PROGRAMS   #
# OR DOCUMENTS OR FILE OR FILES AND NOT WITH AUTHORS OF THE          #
# PROGRAMS OR DOCUMENTS.                                             #
######################################################################

######################################################################
#                                                                    #
#                           The IUCr Policy                          #
#      for the Protection and the Promotion of the STAR File and     #
#     CIF Standards for Exchanging and Archiving Electronic Data     #
#                                                                    #
# Overview                                                           #
#                                                                    #
# The Crystallographic Information File (CIF)[1] is a standard for   #
# information interchange promulgated by the International Union of  #
# Crystallography (IUCr). CIF (Hall, Allen & Brown, 1991) is the     #
# recommended method for submitting publications to Acta             #
# Crystallographica Section C and reports of crystal structure       #
# determinations to other sections of Acta Crystallographica         #
# and many other journals. The syntax of a CIF is a subset of the    #
# more general STAR File[2] format. The CIF and STAR File approaches #
# are used increasingly in the structural sciences for data exchange #

=== Makefile ===

######################################################################
#  Makefile - command file for make to create CBFlib                 #
#                                                                    #
# Version 0.9.7 28 June 2021                                          #
#                                                                    #
#                          Paul Ellis and                            #
#         Herbert J. Bernstein (yaya@bernstein-plus-sons.com)        #
#                                                                    #
# (C) Copyright 2006 - 2021 Herbert J. Bernstein                     #
#                                                                    #
######################################################################

######################################################################
#                                                                    #
# YOU MAY REDISTRIBUTE THE CBFLIB PACKAGE UNDER THE TERMS OF THE GPL #
#                                                                    #
# ALTERNATIVELY YOU MAY REDISTRIBUTE THE CBFLIB API UNDER THE TERMS  #
# OF THE LGPL                                                        #
#                                                                    #
######################################################################

########################### GPL NOTICES ##############################
#                                                                    #
# This program is free software; you can redistribute it and/or      #
# modify it under the terms of the GNU General Public License as     #
# published by the Free Software Foundation; either version 2 of     #
# (the License, or (at your option) any later version.               #
#                                                                    #
# This program is distributed in the hope that it will be useful,    #
# but WITHOUT ANY WARRANTY; without even the implied warranty of     #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      #
# GNU General Public License for more details.                       #
#                                                                    #
# You should have received a copy of the GNU General Public License  #
# along with this program; if not, write to the Free Software        #
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA           #
# 02111-1307  USA                                                    #
#                                                                    #
######################################################################

######################### LGPL NOTICES ###############################
#                                                                    #
# This library is free software; you can redistribute it and/or      #
# modify it under the terms of the GNU Lesser General Public         #
# License as published by the Free Software Foundation; either       #
# version 2.1 of the License, or (at your option) any later version. #
#                                                                    #
# This library is distributed in the hope that it will be useful,    #
# but WITHOUT ANY WARRANTY; without even the implied warranty of     #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU  #
# Lesser General Public License for more details.                    #
#                                                                    #
# You should have received a copy of the GNU Lesser General Public   #
# License along with this library; if not, write to the Free         #
# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,    #
# MA  02110-1301  USA                                                #
#                                                                    #
######################################################################

######################################################################
#                                                                    #
#                    Stanford University Notices                     #
#  for the CBFlib software package that incorporates SLAC software   #
#                 on which copyright is disclaimed                   #
#                                                                    #
# This software                                                      #
# -------------                                                      #
# The term "this software", as used in these Notices, refers to      #
# those portions of the software package CBFlib that were created by #
# employees of the Stanford Linear Accelerator Center, Stanford      #
# University.                                                        #
#                                                                    #
# Stanford disclaimer of copyright                                   #
# --------------------------------                                   #
# Stanford University, owner of the copyright, hereby disclaims its  #
# copyright and all other rights in this software.  Hence, anyone    #
# may freely use it for any purpose without restriction.             #
#                                                                    #
# Acknowledgement of sponsorship                                     #
# ------------------------------                                     #
# This software was produced by the Stanford Linear Accelerator      #
# Center, Stanford University, under Contract DE-AC03-76SFO0515 with #
# the Department of Energy.                                          #
#                                                                    #
# Government disclaimer of liability                                 #
# ----------------------------------                                 #
# Neither the United States nor the United States Department of      #
# Energy, nor any of their employees, makes any warranty, express or #
# implied, or assumes any legal liability or responsibility for the  #
# accuracy, completeness, or usefulness of any data, apparatus,      #
# product, or process disclosed, or represents that its use would    #
# not infringe privately owned rights.                               #
#                                                                    #
# Stanford disclaimer of liability                                   #
# --------------------------------                                   #
# Stanford University makes no representations or warranties,        #
# express or implied, nor assumes any liability for the use of this  #
# software.                                                          #
#                                                                    #
# Maintenance of notices                                             #
# ----------------------                                             #
# In the interest of clarity regarding the origin and status of this #
# software, this and all the preceding Stanford University notices   #
# are to remain affixed to any copy or derivative of this software   #
# made or distributed by the recipient and are to be affixed to any  #
# copy of software made or distributed by the recipient that         #
# contains a copy or derivative of this software.                    #
#                                                                    #
# Based on SLAC Software Notices, Set 4                              #
# OTT.002a, 2004 FEB 03                                              #
######################################################################



######################################################################
#                               NOTICE                               #
# Creative endeavors depend on the lively exchange of ideas. There   #
# are laws and customs which establish rights and responsibilities   #
# for authors and the users of what authors create.  This notice     #
# is not intended to prevent you from using the software and         #
# documents in this package, but to ensure that there are no         #
# misunderstandings about terms and conditions of such use.          #
#                                                                    #
# Please read the following notice carefully.  If you do not         #
# understand any portion of this notice, please seek appropriate     #
# professional legal advice before making use of the software and    #
# documents included in this software package.  In addition to       #
# whatever other steps you may be obliged to take to respect the     #
# intellectual property rights of the various parties involved, if   #
# you do make use of the software and documents in this package,     #
# please give credit where credit is due by citing this package,     #
# its authors and the URL or other source from which you obtained    #
# it, or equivalent primary references in the literature with the    #
# same authors.                                                      #
#                                                                    #
# Some of the software and documents included within this software   #
# package are the intellectual property of various parties, and      #
# placement in this package does not in any way imply that any       #
# such rights have in any way been waived or diminished.             #
#                                                                    #
# With respect to any software or documents for which a copyright    #
# exists, ALL RIGHTS ARE RESERVED TO THE OWNERS OF SUCH COPYRIGHT.   #
#                                                                    #
# Even though the authors of the various documents and software      #
# found here have made a good faith effort to ensure that the        #
# documents are correct and that the software performs according     #
# to its documentation, and we would greatly appreciate hearing of   #
# any problems you may encounter, the programs and documents any     #
# files created by the programs are provided **AS IS** without any   *
# warranty as to correctness, merchantability or fitness for any     #
# particular or general use.                                         #
#                                                                    #
# THE RESPONSIBILITY FOR ANY ADVERSE CONSEQUENCES FROM THE USE OF    #
# PROGRAMS OR DOCUMENTS OR ANY FILE OR FILES CREATED BY USE OF THE   #
# PROGRAMS OR DOCUMENTS LIES SOLELY WITH THE USERS OF THE PROGRAMS   #
# OR DOCUMENTS OR FILE OR FILES AND NOT WITH AUTHORS OF THE          #
# PROGRAMS OR DOCUMENTS.                                             #
######################################################################

######################################################################
#                                                                    #
#                           The IUCr Policy                          #
#      for the Protection and the Promotion of the STAR File and     #
#     CIF Standards for Exchanging and Archiving Electronic Data     #
#                                                                    #
# Overview                                                           #
#                                                                    #
# The Crystallographic Information File (CIF)[1] is a standard for   #
# information interchange promulgated by the International Union of  #
# Crystallography (IUCr). CIF (Hall, Allen & Brown, 1991) is the     #
# recommended method for submitting publications to Acta             #
# Crystallographica Section C and reports of crystal structure       #
# determinations to other sections of Acta Crystallographica         #
# and many other journals. The syntax of a CIF is a subset of the    #
# more general STAR File[2] format. The CIF and STAR File approaches #
# are used increasingly in the structural sciences for data exchange #

=== debian/changelog ===
cbflib (0.9.7+dfsg1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096415)

 -- Adrian Bunk <bunk@debian.org>  Sat, 04 Oct 2025 22:27:14 +0300

cbflib (0.9.7+dfsg1-5) unstable; urgency=medium

  * Team upload

  [Alexandre Detiste]
  * Add explicit Build-Depends on python3-setuptools (Closes: #1080567)

  [Pierre Gruet]
  * Fixing d/watch after change in Github's layout

  [Rahli Oussama]
  * Added autopkgtest

 -- Alexandre Detiste <tchet@debian.org>  Sat, 22 Feb 2025 12:22:46 +0100

cbflib (0.9.7+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Building with HDF5/1.14.4.3 (Closes: #1078987)
  * Raising Standards version to 4.7.0 (no change)
  * Build-depending on pkgconf instead of obsolete pkg-config

 -- Pierre Gruet <pgt@debian.org>  Wed, 21 Aug 2024 23:52:14 +0200

cbflib (0.9.7+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062041

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 05:54:48 +0000

cbflib (0.9.7+dfsg1-3) unstable; urgency=medium

  [ Teemu Ikonen ]
  * d/patches: setup_py.m4: Use setuptools, change to acceptable module name
  * d/rules: Remove pycbf/pycbf.egg-info on clean
  * Bug fix: "cbflib ftbfs with Python 3.12", thanks to Matthias Klose
    (Closes: #1055572).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 08 Dec 2023 14:14:29 +0100

cbflib (0.9.7+dfsg1-2) unstable; urgency=medium

  * Upstream build pycbf with -DSWIG_PYTHON_STRICT_BYTE_CHAR.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 10 Aug 2022 18:59:21 +0200

cbflib (0.9.7+dfsg1-1) unstable; urgency=medium

  [ Neil Williams ]
  * Update control to add Debian PaN maintainers

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.9.7+dfsg1
  * d/control: Added Myself as Uploaders
  * d/patches/*: Refreshed for this new version.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.
  * d/rules: execute_after_X instead of override_X when it is relevant
  * d/rules: Splitted targets between arch and indep

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 09 Aug 2022 13:19:41 +0200

=== debian/control ===
Source: cbflib
Section: science
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Morten Kjeldgaard <mok0@ubuntu.com>,
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Teemu Ikonen <tpikonen@gmail.com>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 dh-sequence-python3,
 libhdf5-dev,
 pkgconf,
 python3-all-dev,
 python3-setuptools,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/cbflib
Vcs-Git: https://salsa.debian.org/science-team/cbflib.git
Homepage: http://www.bernstein-plus-sons.com/software/CBF/
Rules-Requires-Root: no

Package: libcbf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libcbf1t64 (= ${binary:Version}),
 libhdf5-dev,
 ${misc:Depends},
Description: development files for CBFlib
 CBFLIB is a library of ANSI-C functions providing a simple mechanism for
 accessing Crystallographic Binary Files (CBF files) and Image-supporting
 CIF (imgCIF) files. The CBFLIB API is loosely based on the CIFPARSE API for
 mmCIF files. CBFLIB does not perform any semantic integrity checks and
 simply provides functions to create, read, modify and write CBF
 binary data files and imgCIF ASCII data files.
 .
 This package contains libraries and header files for program development.

Package: libcbf1t64
Provides: ${t64:Provides}
Replaces: libcbf1
Breaks: libcbf1 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: shared library supporting CBFlib
 CBFlib is a library of ANSI-C functions providing a simple mechanism
 for accessing Crystallographic Binary Files (CBF files) and
 Image-supporting CIF (imgCIF) files.
 .
 This package contains the shared library.

Package: cbflib-bin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: utilities to manipulate CBF files
 CBFlib is a library of ANSI-C functions providing a simple mechanism
 for accessing Crystallographic Binary Files (CBF files) and
 Image-supporting CIF (imgCIF) files.
 .
 This package contains various utility programs.

Package: python3-pycbf
Architecture: any
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python modules for CBFLib -- Python3
 CBFlib is a library of ANSI-C functions providing a simple mechanism
 for accessing Crystallographic Binary Files (CBF files) and
 Image-supporting CIF (imgCIF) files.
 .
 This package contains the Python3 module.

Package: cbflib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Enhances:
 libcbf-dev,
Multi-Arch: foreign
Description: documentation for CBFlib
 CBFlib is a library of ANSI-C functions providing a simple mechanism
 for accessing Crystallographic Binary Files (CBF files) and
 Image-supporting CIF (imgCIF) files.
 .
 This package contains the documentation to CBFlib.

=== debian/rules ===
#!/usr/bin/make -f

# Building with HDF5/1.14.4.3, forwarded: https://github.com/yayahjb/cbflib/issues/66
export DEB_CPPFLAGS_MAINT_APPEND = -DH5_USE_110_API
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME=pycbf

# CBFlib makefile configuration vars
export INSTALL_LIB := lib/$(DEB_HOST_MULTIARCH)
export CBFLIB_DONT_USE_LOCAL_HDF5=yes
export CBFLIB_DONT_USE_LOCAL_NUWEB=yes
export CBFLIB_DONT_USE_LOCAL_REGEX=yes
export CBFLIB_DONT_USE_LOCAL_TIFF=yes
export CBFLIB_DONT_USE_LZ4=yes
export CBFLIB_DONT_USE_BSHUF=yes
export CBFLIB_DONT_USE_PY2CIFRW=yes
export CBFLIB_DONT_USE_PY3CIFRW=yes
export NOPYCBF=yes
export NOLIBIMG=yes
export NOFORTRAN=yes


pycbf/setup.py:
	$(MAKE) 'C++:=$$(CXX)' $(CURDIR)/pycbf/setup.py

# Parallel builds do not work
%:
	dh $@ --no-parallel

execute_after_dh_auto_clean-arch: pycbf/setup.py
	dh_auto_clean --buildsystem=pybuild --sourcedirectory=pycbf
	rm -f pycbf/setup.py
	rm -rf pycbf/pycbf.egg-info

execute_after_dh_auto_configure-arch: pycbf/setup.py
	dh_auto_configure --buildsystem=pybuild --sourcedirectory=pycbf

override_dh_auto_build-arch: pycbf/setup.py
	# build the C/C++ library
	dh_auto_build -- 'C++:=$$(CXX)' shared all

	# build the python extension.
	dh_auto_build --buildsystem=pybuild --sourcedirectory=pycbf

override_dh_auto_build-indep:
	# nothing to build here

# do not run test since we do not have the test data.
override_dh_auto_test:

override_dh_auto_install-arch: pycbf/setup.py
	# install the C/C++ library
	dh_auto_install

	# install the python extension
	dh_auto_install --buildsystem=pybuild --sourcedirectory=pycbf

override_dh_auto_install-indep:
	# nothing to install here

override_dh_install-arch:
	# cbflib-bin
	dh_install -p cbflib-bin usr/bin/cbf2nexus
	dh_install -p cbflib-bin usr/bin/cif2cbf
	dh_install -p cbflib-bin usr/bin/convert_image
	dh_install -p cbflib-bin usr/bin/img2cif
	dh_install -p cbflib-bin usr/bin/makecbf

	# libcbf-dev
	dh_install -p libcbf-dev usr/include/cbflib/*
	dh_install -p libcbf-dev usr/lib/*/lib*.a
	dh_install -p libcbf-dev usr/lib/*/lib*.so

	# libcbf1t64
	dh_install -p libcbf1t64 usr/lib/*/libcbf.so.*

	# Exclude duplicates (lintian check duplicate-files)
	dh_install -Xcif_img_1.3.2_22Jun05.html -Xcif_img_1.3.1.html

override_dh_install-indep:
	# cbflib-doc
	dh_install     -p cbflib-doc doc/*.html      usr/share/doc/cbflib-doc/html

override_dh_installdocs:
	# cbflib-doc
	dh_installdocs -p cbflib-doc html_graphics

	# libcbf-dev
	dh_installdocs -p libcbf-dev README

	dh_installdocs

override_dh_installman:
	dh_installman -p cbflib-bin debian/manpages/*

=== debian/tests/control ===
Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 @,
 xauth,
 xvfb,
Restrictions: allow-stderr

# not yet ready
# Tests: python
# Depends:
#  python3-all,
#  python3-pycbf,
# Restrictions: allow-stderr, skip-not-installable

# Tests: testcell
# Depends:
#  cmake,
#  libcbf-dev,
#  python3-all,
#  python3-pycbf,
# Restrictions: allow-stderr, skip-not-installable
